/// The provided tags parameter is not valid JSON
#[derive(
    Debug,
    Clone,
    conjure_object::serde::Serialize,
    conjure_object::serde::Deserialize,
    PartialEq,
    Eq,
    PartialOrd,
    Ord,
    Hash
)]
#[serde(crate = "conjure_object::serde")]
#[conjure_object::private::staged_builder::staged_builder]
#[builder(crate = conjure_object::private::staged_builder, update, inline)]
pub struct InvalidTags {
    #[builder(into)]
    #[serde(rename = "tags")]
    tags: String,
}
impl InvalidTags {
    /// Constructs a new instance of the type.
    #[inline]
    pub fn new(tags: impl Into<String>) -> Self {
        Self::builder().tags(tags).build()
    }
    #[inline]
    pub fn tags(&self) -> &str {
        &*self.tags
    }
}
impl conjure_error::ErrorType for InvalidTags {
    #[inline]
    fn code() -> conjure_error::ErrorCode {
        conjure_error::ErrorCode::InvalidArgument
    }
    #[inline]
    fn name() -> &'static str {
        "Video:InvalidTags"
    }
    #[inline]
    fn safe_args() -> &'static [&'static str] {
        &[]
    }
}
